Create Brand
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'Content-Type: application/json' \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>' \
--data '
{
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}
'{
"id": "brd_0eb55234024e226d9d",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}Create Brand
Creates a new brand configuration.
You can have only one brand configured for a project.
📘 White Labelling
The white labelling settings which can be found in Project Settings > Brand Details and which are available only for Enterprise clients as a separate service can be configured only in the user interface.
POST
/
management
/
v1
/
projects
/
{projectId}
/
branding
Create Brand
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'Content-Type: application/json' \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>' \
--data '
{
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}
'{
"id": "brd_0eb55234024e226d9d",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}Path Parameters
Provide the unique identifier of the project.
Example:
"proj_TrlkLiH4"
Body
application/json
Defines a brand configuration.
Request body schema for POST /management/v1/projects/{projectId}/branding.
Response
Returns the details about the brand configuration.
Response body schema for POST /management/v1/projects/{projectId}/branding.
Last modified on June 11, 2026
Was this page helpful?
⌘I

